Subject: Re: [CODE4LIB] marc21 and usmarc (fwd)

From: Ardie Bausenbach <[email-masked]>
Date: Tue, 27 Jan 2009 11:09:42 -0500

From NDMSO: 

>>> Rebecca S Guenther 1/27/2009 >>>
When USMARC harmonized with CANMARC, the format was named MARC 21. 

Further information is here:
http://www.loc.gov/marc/annmarc21.html 

Since that time, many other national libraries have moved from their national formats to MARC 21, including (among others), the UK, Germany, Finland, and Spain.

Rebecca S. Guenther                                                       
 Senior Networking and Standards Specialist                  
 Network Development and MARC Standards Office     
 Library of Congress   
 101 Independence Ave. SE                                       
 Washington, DC 20540                                                      
 Washington, DC 20540-4402                                          
 (202) 707-5092 (voice)    (202) 707-0115 (FAX)           
 [email-masked] 

---------- Forwarded message ----------
Date: Fri, 23 Jan 2009 09:39:54 -0000
From: "Brown, Alan" <[email-masked]>
Reply-To: Code for Libraries <[email-masked]>
To: [email-masked] 
Subject: Re: [CODE4LIB] marc21 and usmarc

At 22 January 2009 16:28 Eric Lease Morgan wrote:

> Does anybody here know the difference between MARC21 and USMARC?
> 
> I am munging sets of MARC bibliographic data from a III catalog with
> holdings data from the same. I am using MARC::Batch to read my bib'
> data (with both strict and warnings turned off), insert 853 and 863
> fields, and writing the data using the as_usmarc method. Therefore, I
> think I am creating USMARC files. I can then use marcdump to... dump
> the records. It returns 0 errors.     

Eric, This isn't an encoding thing is it? I know that a number of III
catalogues still encode their diacritics using the MARC8 version of
USMARC. We have changed ours to Unicode now, but we did have an issue of
the catalogue outputting unicode records that weren't tagged as such in
the leader and so couldn't be identified as proper MARC21 (current
version of USMARC). III have solved this with their latest release. This
issue had me scratching my head with a lot of my MARC::Record scripts,
but generally they failed quite spectacularly.

regards

Alan Brown
-- 
Alan Brown
Library Systems Liaison Officer
Resource Services
Bury Libraries
Textile Hall
Manchester Rd
Bury
BL9 0DG
Tel 0161 253 5877
Fax 0161 253 6003
http://www.bury.gov.uk/libraries 
http://library.bury.gov.uk 
-----------------------------------------------------------------
Why not visit our website www.bury.gov.uk 
-----------------------------------------------------------------
The information contained in this e-mail and any files transmitted
with it is for the intended recipient(s) alone. It may contain
confidential information that is exempt from the disclosure under
English law and may also be covered by legal,professional or other privilege.
If you are not the intended recipient, you must not copy, distribute or take any
action in reliance on it. 
If you have received this e-mail in error, please notify us immediately by using 
the reply facility on your e-mail system.
If this message is being transmitted over the Internet, be aware that it may be 
intercepted by third parties.
As a public body, the Council may be required to disclose this e-mail or any 
response to it under the Freedom of Information Act 2000 unless the information
in it is covered by one of the exemptions in the Act. By responding to this
e-mail you accept that your response may be subject of recording/monitoring to
ensure compliance with the Council's ICT Security Policy. 
Electronic service accepted only at [email-masked] and on fax number 
0161 253 5119 .
*************************************************************

---

From: Alexander Johannesen <[email-masked]>
Date: Tue, 27 Jan 2009 17:13:34 +0100

On Tue, Jan 27, 2009 at 17:09, Ardie Bausenbach <[email-masked]> wrote:
> Since that time, many other national libraries have moved from
> their national formats to MARC 21, including (among others),
> the UK, Germany, Finland, and Spain.

I know a few more, but another point worth, er, screaming about, is
the various AACT2 / RDA / other rules changes that's not linked to
MARC at all. I know a lot of it is covered in MARC documentation, but
there's hidden gems, like punctuations, symbols, character-encodings,
etc which aren't always specified.

If the library world embraced XML as a minimum a lot could be fixed in
that area (and no, XMLMARC does not qualify :).

Regards,

Alex
-- 
---------------------------------------------------------------------------
 Project Wrangler, SOA, Information Alchemist, UX, RESTafarian, Topic Maps
------------------------------------------ http://shelter.nu/blog/ --------